Rhino Script Syntax Layers
Any chance we can get Python commands for One Layer On One Layer Off I appreciate these can be done but one simple command would make life easier Layer State Manager And be able to return on/off/...
View ArticleTrimBrep does not work
Trim Brep does not work in Rhino6 but it work in Rhino5. import rhinoscriptsyntax as rs obj = rs.GetObjects("Select surface or polysurface to trim") cutters = rs.GetObjects("Select cutting surface or...
View ArticleSplitBrep does not work
I tried SplitBrep in Rhino 5 and it works fine on Surface and Polysurface but Rhino 6 cuts only polysurface. Both object is cylinder but Cap was applied on tube surface to close the geometry , the...
View ArticleSticky with text box
Hi Can anyone advise how I can input my text in the text box and keep whatever text it is changed to as the default for the next use. I have looked at sticky but couldn’t get it to work. Please bear...
View ArticleCustom Script to Copy paste geometry from one rhino file to another file
Hello All, I am looking for some help on how can I automate Copy paste events for geometry(breps, blocks) from one rhino file to Another Rhino file based on their Names or specific attributes? Would...
View ArticleHow to handle GridView.SelectedRowsChanged in EtoForms?
Hi, I’m using a GridView() in my EtoForm(Modeless) to display a simple list of entries. My aim is to update the Label at the bottom to function like a status bar, and show data from the selected row....
View ArticleMessage: iteration over non-sequence of type Guid
I am facing this iteration problem,i dont know why.Can you guys help me,please?I am giving the code below import rhinoscriptsyntax as rs def ExtrudeAlongultipleCurves(): shapeld = rs.GetObject("Select...
View ArticleCommunication between Rhinoscript and Python
Hello there, is it possible to run a python script with arguments from inside a rhinoscript?. For context: i am sitting in front of some long rhinoscripts where i am sure that i can rewrite some time...
View ArticleOrder of curves in pdf or svg
Dear Mc Neel - or maybe someone of the more advandced users. I tryed to figure out, if i can influence the order Curves written to a svg or a pdf. Any latest information about this ? There is already...
View ArticleON_Light world_linear_light creation question
I created a linear light from the user interface, using this series of commands: Command: LinearLight Light origin: 1,2,3 Light length and direction: 4,7,9 This gave me a long cylindrical light in the...
View ArticleInsert 3dm file by python
import Rhino import rhinoscriptsyntax as rs MAT = “Huk” rs.Command(’-Insert “D:\PROJEACT\ + MAT.3dm” Objects Enter 0,0,0 1 0’). I don’t know it with error. if i using rs.Command(’-Insert...
View ArticleAddSweep1: Cannot apply it
The Code I am typing for the problem is: There are several curves given.I have to select all the curves,then only one cross-sectional area,which is also given.Then all the curves will follow sweep...
View ArticleLine instead of 3d object
Hi, I would like to represent 3D objects with 2D hidden lines like this. Could you please tell me how to do this using code for many objects? problem 2.3dm (119.6 KB) 1 post - 1 participant Read full...
View ArticleERROR expected ObjRef, got CurveObject
import Rhino import scriptcontext import System import Rhino.UI import Eto.Drawing as drawing import Eto.Forms as forms import rhinoscriptsyntax as rs layer_names = rs.LayerNames() layer_objects =...
View ArticleMaking many 3D objects into curves
Problem: There are few 3d objects given.I want to select all of them at once and make them into straight lines or curves of same length and same distance between them. The 3d objects are always...
View ArticlePython Sorted by X and after by Y
Hello, I don’t understand the sort method in python, and i need today to sort geometry with the X value and the Y value… for example i select circles, and i need that python sort them like this: i...
View ArticleRhinoCommon UnrollSurface differs from UnrollSrf command
Have a look at the file in attachment. When I use the UnrollSrf command I get a flat polysurface with smooth edges. When I use RhinoCommons UnrollSurface I get a surface with ugly jaggered edges. How...
View ArticleCreateFromSweepSegmented problem
Hello I test CreateFromSweepSegmented with more options but didn’t work, what’s wrong? sweep test.gh (12.2 KB) 1 post - 1 participant Read full topic
View ArticleScript to toggle all surface normals outward?
We are developing a plug-in for Autodesk PowerMill to achieve fully autonomous CAM programming launched from Rhino. To succeed with autonomous 5-axis programming we need to make sure all the surface...
View ArticleCall a function In Python script
In Rhino script. Sub ACAP() MsgBox “Hello World” End Sub I can call this sub by command “CAP” as alias as Rhino.AddAlias “CAP”, “_-RunScript (ACAP)”. In Python script. import rhinoscriptsyntax as rs...
View Article